%define upstream_name HTTP_WebDAV_Client
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 1
Summary:    	WebDAV stream wrapper class
License: 	PHP
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_WebDAV_Client-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_WebDAV_Client
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request >= 1.0
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
RFC2518 compliant stream wrapper that allows to use WebDAV server
   resources like a regular file system from within PHP.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_WebDAV_Client.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_WebDAV_Client.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_WebDAV_Client
fi

%files
%defattr(-,root,root)
%doc docs/HTTP_WebDAV_Client/*
%{peardir}/*
%{xmldir}/HTTP_WebDAV_Client.xml


%changelog

* Mon Jan 23 2012 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 200048
- upgrade to 1.0.2
  pearized spec file

* Fri Jan 28 2011 spuhler <spuhler> 1.0.1-1.mga1
+ Revision: 42635
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTTP_WebDAV_Client

